- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::SlotBase Class Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

Inheritance diagram for G::SlotBase:

## Public Member Functions
| SlotBase ()
| Default constuctor. More...
virtual | ~SlotBase ()
| Destructor. More...
void | up ()
| Increments the reference count. More...
void | down ()
| Decrements the reference count and does "delete this" on zero. More...

## Detailed Description

Part of the slot/signal system.

Used as a base class to all SlotImp<> classes allowing them to be used as bodies to the Slot<> reference-counting handle.

Definition at line 38 of file gslot.h.

## Constructor & Destructor Documentation

G::SlotBase::SlotBase | ( |  | ) |

Default constuctor.

Definition at line 28 of file gslot.cpp.

G::SlotBase::~SlotBase | ( |  | ) |
| virtual

Destructor.

Definition at line 24 of file gslot.cpp.

## Member Function Documentation

void G::SlotBase::down | ( |  | ) |

Decrements the reference count and does "delete this" on zero.

Definition at line 37 of file gslot.cpp.

Referenced by G::Slot0::~Slot0(), G::Slot1< bool >::~Slot1(), G::Slot2< std::string, std::string >::~Slot2(), and G::Slot3< bool, unsigned long, std::string >::~Slot3().

void G::SlotBase::up | ( |  | ) |

Increments the reference count.

Definition at line 32 of file gslot.cpp.

Referenced by G::Slot0::Slot0(), G::Slot1< bool >::Slot1(), G::Slot2< std::string, std::string >::Slot2(), and G::Slot3< bool, unsigned long, std::string >::Slot3().

The documentation for this class was generated from the following files:

- gslot.h
- gslot.cpp